OTBCLI_GRIDBASEDIMAGERESAMPLING(1)

NAME
otbcli_GridBasedImageResampling - OTB GridBasedImageResampling application

DESCRIPTION
This is the GridBasedImageResampling application, version 5.2.0 Resamples an image according to a resampling grid

Complete documentation: http://www.orfeo-toolbox.org/Applications/GridBasedImageResampling.html

  Parameters:

-progress
    <boolean> Report progress

 -io.in <string> Input image (mandatory)
 -io.out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)
 -grid.in <string> Input resampling grid (mandatory)

-grid.type
    <string> Grid Type [def/loc] (mandatory, default value is def)

-out.ulx
    <float> Upper Left X (mandatory, default value is 0)

-out.uly
    <float> Upper Left Y (mandatory, default value is 0)

 -out.sizex <int32> Size X (mandatory)
 -out.sizey <int32> Size Y (mandatory)

-out.spacingx
    <float> Pixel Size X (mandatory, default value is 1)

-out.spacingy
    <float> Pixel Size Y (mandatory, default value is 1)

-out.default
    <float> Default value (mandatory, default value is 0)

-interpolator
    <string> Interpolation [nn/linear/bco] (mandatory, default value is bco)

-interpolator.bco.radius <int32>
    Radius for bicubic interpolation (mandatory, default value is 2)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_GridBasedImageResampling -io.in ROI_IKO_PAN_LesHalles_sub.tif -io.out ROI_IKO_PAN_LesHalles_sub_resampled.tif uint8 -grid.in ROI_IKO_PAN_LesHalles_sub_deformation_field.tif -out.sizex 256 -out.sizey 256 -grid.type def

SEE ALSO
The full documentation for otbcli_GridBasedImageResampling is maintained as a Texinfo manual. If the info and otbcli_GridBasedImageResampling programs are properly installed at your site, the command

    info otbcli_GridBasedImageResampling

should give you access to the complete manual.